.modal {
    padding-right: 0 !important;
}

@media (min-width: 768px) {
    .modal .modal-dialog.modal-top {
        top: 0;
    }

    .modal .modal-dialog.modal-left {
        left: 0;
    }

    .modal .modal-dialog.modal-right {
        right: 0;
    }

    .modal .modal-dialog.modal-bottom {
        bottom: 0;
    }

    .modal .modal-dialog.modal-top-left {
        top: 10px;
        left: 10px;
    }

    .modal .modal-dialog.modal-top-right {
        top: 10px;
        right: 10px;
    }

    .modal .modal-dialog.modal-bottom-left {
        bottom: 10px;
        left: 10px;
    }

    .modal .modal-dialog.modal-bottom-right {
        bottom: 10px;
        right: 10px;
    }
}

.modal.fade.top:not(.show) .modal-dialog {
    -webkit-transform: translate3d(0, -25%, 0);
    transform: translate3d(0, -25%, 0);
}

.modal.fade.left:not(.show) .modal-dialog {
    -webkit-transform: translate3d(-25%, 0, 0);
    transform: translate3d(-25%, 0, 0);
}

.modal.fade.right:not(.show) .modal-dialog {
    -webkit-transform: translate3d(25%, 0, 0);
    transform: translate3d(25%, 0, 0);
}

.modal.fade.bottom:not(.show) .modal-dialog {
    -webkit-transform: translate3d(0, 25%, 0);
    transform: translate3d(0, 25%, 0);
}

@media (min-width: 992px) {
    .modal.modal-scrolling {
        position: relative;
    }

        .modal.modal-scrolling .modal-dialog {
            position: fixed;
            z-index: 1050;
        }

    .modal.modal-content-clickable {
        top: auto;
        bottom: auto;
    }

        .modal.modal-content-clickable .modal-dialog {
            position: fixed;
        }

    .modal .modal-fluid {
        width: 100%;
        max-width: 100%;
    }

        .modal .modal-fluid .modal-content {
            width: 100%;
        }

    .modal .modal-frame {
        position: absolute;
        margin: 0;
        width: 100%;
        max-width: 100%;
    }

        .modal .modal-frame.modal-bottom {
            bottom: 0;
        }

    .modal .modal-full-height {
        position: absolute;
        display: -webkit-box;
        display: -webkit-flex;
        display: -ms-flexbox;
        display: flex;
        margin: 0;
        width: 400px;
        height: 100%;
        top: 0;
        right: 0;
    }

        .modal .modal-full-height.modal-top, .modal .modal-full-height.modal-bottom {
            display: block;
            width: 100%;
            max-width: 100%;
            height: auto;
        }

        .modal .modal-full-height.modal-top {
            bottom: auto;
        }

        .modal .modal-full-height.modal-bottom {
            top: auto;
        }

        .modal .modal-full-height .modal-content {
            width: 100%;
        }

        .modal .modal-full-height.modal-lg {
            width: 90%;
            max-width: 90%;
        }
}

@media (min-width: 992px) and (min-width: 992px) {
    .modal .modal-full-height.modal-lg {
        width: 800px;
        max-width: 800px;
    }
}

@media (min-width: 992px) and (min-width: 1200px) {
    .modal .modal-full-height.modal-lg {
        width: 1000px;
        max-width: 1000px;
    }
}

@media (min-width: 992px) {
    .modal .modal-side {
        position: absolute;
        bottom: 10px;
        right: 10px;
        margin: 0;
        width: 400px;
    }
}


.modal-dialog .modal-content {
    border: 0;
    border-radius: 0.125rem;
}

    .modal-dialog .modal-content .modal-header {
        border-top-left-radius: 0.125rem;
        border-top-right-radius: 0.125rem;
    }

.modal-dialog .btn .fa {
    color: #ffffff !important;
}

.modal-dialog [class*="btn-outline-"] .fa {
    color: inherit !important;
}

.modal-dialog.cascading-modal {
    margin-top: 10%;
}

    .modal-dialog.cascading-modal .close {
        opacity: 1;
        text-shadow: none;
        color: #ffffff;
        outline: 0;
    }

    .modal-dialog.cascading-modal .modal-header {
        margin: -2rem 1rem 1rem 1rem;
        border: none;
        border-radius: 0.125rem;
        padding: 1.5rem;
        text-align: center;
    }

        .modal-dialog.cascading-modal .modal-header .close {
            margin-right: 1rem;
        }

        .modal-dialog.cascading-modal .modal-header .title {
            margin-bottom: 0;
            width: 100%;
            font-size: 1.25rem;
        }

            .modal-dialog.cascading-modal .modal-header .title .fa {
                margin-right: 9px;
            }

        .modal-dialog.cascading-modal .modal-header .social-buttons {
            margin-top: 1.5rem;
        }

            .modal-dialog.cascading-modal .modal-header .social-buttons a {
                font-size: 1rem;
            }

    .modal-dialog.cascading-modal .modal-c-tabs .nav-tabs {
        margin: -1.5rem 1rem 0 1rem;
    }

    .modal-dialog.cascading-modal .modal-c-tabs .tab-content {
        padding: 1.7rem 0 0 0;
    }

    .modal-dialog.cascading-modal .nav-tabs {
        display: -webkit-box;
        display: -webkit-flex;
        display: -ms-flexbox;
        display: flex;
    }

        .modal-dialog.cascading-modal .nav-tabs li {
            -webkit-box-flex: 1;
            -webkit-flex: 1;
            -ms-flex: 1;
            flex: 1;
        }

            .modal-dialog.cascading-modal .nav-tabs li a {
                text-align: center;
            }

    .modal-dialog.cascading-modal .modal-body,
    .modal-dialog.cascading-modal .modal-footer {
        padding-left: 2rem;
        padding-right: 2rem;
        color: #616161;
    }

        .modal-dialog.cascading-modal .modal-body .additional-option,
        .modal-dialog.cascading-modal .modal-footer .additional-option {
            margin-top: 1rem;
            text-align: center;
        }

    .modal-dialog.cascading-modal.modal-avatar {
        margin-top: 6rem;
    }

        .modal-dialog.cascading-modal.modal-avatar .modal-header {
            margin: -6rem 0 -1rem;
        }

            .modal-dialog.cascading-modal.modal-avatar .modal-header img {
                width: 130px;
                margin-left: auto;
                margin-right: auto;
            }

.modal-dialog.modal-notify .heading {
    margin: 0;
    padding: 0.3rem;
    font-size: 1.70rem;
    color: #ffffff;
}

.modal-dialog.modal-notify .modal-header {
    border: 0;
}

.modal-dialog.modal-notify .close {
    opacity: 1;
}

.modal-dialog.modal-notify .modal-body {
    padding: 0.9rem;
    color: #616161;
}

.modal-dialog.modal-notify.modal-primary .modal-header {
    background-color: #4285f4;
}

.modal-dialog.modal-notify.modal-primary .fa {
    color: #4285f4;
}

.modal-dialog.modal-notify.modal-primary .badge {
    background-color: #4285f4;
}

.modal-dialog.modal-notify.modal-danger .modal-header {
    background-color: #ff3547;
}

.modal-dialog.modal-notify.modal-danger .fa {
    color: #ff3547;
}

.modal-dialog.modal-notify.modal-danger .badge {
    background-color: #ff3547;
}

.modal-dialog.modal-notify.modal-warning .modal-header {
    background-color: #ffbb33;
}

.modal-dialog.modal-notify.modal-warning .fa {
    color: #ffbb33;
}

.modal-dialog.modal-notify.modal-warning .badge {
    background-color: #ffbb33;
}

.modal-dialog.modal-notify.modal-success .modal-header {
    background-color: #00c851;
}

.modal-dialog.modal-notify.modal-success .fa {
    color: #00c851;
}

.modal-dialog.modal-notify.modal-success .badge {
    background-color: #00c851;
}

.modal-dialog.modal-notify.modal-info .modal-header {
    background-color: #0d87e9;
}

.modal-dialog.modal-notify.modal-info .fa {
    color: #33b5e5;
}

.modal-dialog.modal-notify.modal-info .badge {
    background-color: #33b5e5;
}

.three-columns-div-container {
    width: 100%;
    text-align: left;
}

.three-columns-left-div {
    float: left;
    width: 100px;
    padding-left: 60px;
}

.three-columns-center-div {
    display: inline-block;
    margin: 0 auto;
    width: 100px;
    padding-left: 140px;
}


.three-columns-right-div {
    float: right;
    width: 100px;
    padding-right: 150px;
}


.two-columns-div-container {
    width: 100%;
    float: left;
    text-align: left;
}

.two-columns-left-div {
    float: left;
    width: 100px;
    margin-left: 150px;
    margin-right: 95px;
}

.two-columns-right-div {
    margin-right: 160px;
    float: left;
}


.ok-button-modal {
    padding: 10px 20px;
    border-radius: 5px;
    display: block;
    width: 130px;
    margin: 10px auto 0px auto;
    height: 39px;
}

.ok-button-modal-invoice {
    padding: 10px 20px;
    border-radius: 5px;
    display: block;
    width: 130px;
    height: 39px;
    margin: 30px auto 0px auto;
}


.closebutton{
    color: #FFF;
}

.modal-footer-customized {
    padding-top: 1px;
    padding-right: 8px;
    padding-bottom: 8px;
    padding-left: 8px;
}
